<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XVpnGateway StructType
 * @subpackage Structs
 */
class XVpnGateway extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The url
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $url;
    /**
     * The certificates
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Certificates
     */
    public $certificates;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * Constructor method for XVpnGateway
     * @uses XVpnGateway::setName()
     * @uses XVpnGateway::setUrl()
     * @uses XVpnGateway::setCertificates()
     * @uses XVpnGateway::setDescription()
     * @param string $name
     * @param string $url
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Certificates $certificates
     * @param string $description
     */
    public function __construct($name = null, $url = null, \\Losc\CucmBundle\Model\Webservice\StructType\Certificates $certificates = null, $description = null)
    {
        $this
            ->setName($name)
            ->setUrl($url)
            ->setCertificates($certificates)
            ->setDescription($description);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVpnGateway
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get url value
     * @return string
     */
    public function getUrl()
    {
        return $this->url;
    }
    /**
     * Set url value
     * @param string $url
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVpnGateway
     */
    public function setUrl($url = null)
    {
        $this->url = $url;
        return $this;
    }
    /**
     * Get certificates value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Certificates
     */
    public function getCertificates()
    {
        return $this->certificates;
    }
    /**
     * Set certificates value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Certificates $certificates
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVpnGateway
     */
    public function setCertificates(\\Losc\CucmBundle\Model\Webservice\StructType\Certificates $certificates = null)
    {
        $this->certificates = $certificates;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVpnGateway
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
}
